Finds participant custId1. To call this, you need to have access contact details right of 090300.
curl -X GET "https://api.example.com/restapi/v1/participants/custId1/123" \
-H "Content-Type: application/json"
import requests
import json
url = "https://api.example.com/restapi/v1/participants/custId1/123"
headers = {
"Content-Type": "application/json"
}
response = requests.get(url, headers=headers)
print(response.json())
const response = await fetch("https://api.example.com/restapi/v1/participants/custId1/123", {
method: "GET",
headers: {
"Content-Type": "application/json"
}
});
const data = await response.json();
console.log(data);
package main
import (
"fmt"
"net/http"
)
func main() {
req, err := http.NewRequest("GET", "https://api.example.com/restapi/v1/participants/custId1/123", nil)
if err != nil {
panic(err)
}
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
fmt.Println("Response Status:", resp.Status)
}
require 'net/http'
require 'json'
uri = URI('https://api.example.com/restapi/v1/participants/custId1/123')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true
request = Net::HTTP::Get.new(uri)
request['Content-Type'] = 'application/json'
response = http.request(request)
puts response.body
[
{
"participant_id": 123,
"participant_identifier": "example_string",
"participant_id_parent": 123,
"date_id": 123,
"shopbasket_id": 123,
"participant_status": "example_string",
"participant_salutation": "example_string",
"participant_title": "example_string",
"participant_firstname": "John Doe",
"participant_lastname": "John Doe",
"participant_address": "123 Main St",
"participant_zip": "example_string",
"participant_city": "New York",
"participant_state": "example_string",
"participant_country": "USA",
"participant_company": "example_string",
"participant_position": "example_string",
"participant_phone": "+1-555-0123",
"participant_fax": "example_string",
"participant_email": "user@example.com",
"participant_booktime": "example_string",
"participant_price": 29.99,
"participant_currency": "example_string",
"participant_tax_included": true,
"participant_data_protection_agreed": true,
"rebooked_participant_id": 123,
"date": [
{
"date_id": 123,
"date_type": "example_string",
"date_format": "example_string",
"date_is_active": true,
"date_title": "example_string",
"date_subtitle": "example_string",
"date_status": "example_string"
}
]
}
]
{
"error": "Bad Request",
"message": "The request contains invalid parameters or malformed data",
"code": 400,
"details": [
{
"field": "email",
"message": "Invalid email format"
}
]
}
GET
/participants/custId1/{custId1}GET
Base URLstring
Target server for requests. Edit to use your own host.
path
custId1integer
RequiredCust-ID1 of contact to return
Request Preview
Response
Response will appear here after sending the request
Path Parameters
custId1integer
RequiredCust-ID1 of contact to return
Responses
participant_idinteger
participant_identifierstring
participant_id_parentinteger
date_idinteger
shopbasket_idinteger
participant_statusstring
participant_salutationstring
participant_titlestring
participant_firstnamestring
participant_lastnamestring
participant_addressstring
participant_zipstring
participant_citystring
participant_statestring
participant_countrystring
participant_companystring
participant_positionstring
participant_phonestring
participant_faxstring
participant_emailstring
participant_booktimestring
participant_pricenumber
participant_currencystring
participant_tax_includedboolean
participant_data_protection_agreedboolean
rebooked_participant_idinteger
datearray
Was this page helpful?